// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_UWidgetBlueprint.h"
#include "WidgetBlueprint.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_UWidgetBlueprint::SCW_UWidgetBlueprint(UWidgetBlueprint* InWidgetBlueprint) : SCW_UBaseWidgetBlueprint(InWidgetBlueprint), WidgetBlueprint(InWidgetBlueprint)
{

}

UWidgetBlueprint* SCW_UWidgetBlueprint::ToUWidgetBlueprint() const
{
	return WidgetBlueprint;
}

ISCW_UWidgetTreePtr SCW_UWidgetBlueprint::WidgetTree() const
{
	return FSourcifyCoreUEWrapper::Get().Wrap(*WidgetBlueprint->WidgetTree.Get());
}
